import React from 'react';
import styles from './ContactLinkDetail.module.scss';
import { Icon } from 'office-ui-fabric-react/lib/Icon';
export var ContactLinkDetail = function (_a) {
    var iconName = _a.iconName, label = _a.label, content = _a.content, href = _a.href;
    if (!content)
        return null;
    return (React.createElement("div", { className: styles.container },
        React.createElement("div", { className: styles.contactLinkDetail },
            React.createElement(Icon, { className: styles.icon, iconName: iconName }),
            React.createElement("div", { className: styles.contentDetail, "x-ms-format-detection": "none" },
                React.createElement("div", { className: styles.contentLines },
                    React.createElement("h4", { className: styles.contentlabel }, label),
                    !href && React.createElement("span", { className: styles.contentLine }, content),
                    href &&
                        React.createElement("a", { href: href, rel: "noopener noreferrer", "data-interception": "off", target: "_blank" },
                            React.createElement("span", { className: styles.contentLine }, content)))))));
};
//# sourceMappingURL=ContactLinkDetail.js.map